> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Actualizar dominio

> Actualiza ajustes de dominio seguros para el cliente.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.es.json PATCH /v1/public/accounts/{account_id}/domains/{domain}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains/{domain}:
    patch:
      tags:
        - public-accounts
        - public-domains
      summary: Actualizar dominio
      description: Actualiza ajustes de dominio seguros para el cliente.
      operationId: >-
        update_public_domain_v1_public_accounts__account_id__domains__domain__patch
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: domain
          required: true
          schema:
            title: Domain
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DomainUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainUpdateResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Error de validación
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainUpdateRequest:
      additionalProperties: false
      description: >-
        Esquema para actualizar la configuración de dominio orientada al
        cliente.
      properties:
        auto_renew:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Renovación automática
        redirect_mode:
          anyOf:
            - enum:
                - '301'
                - '302'
                - iframe
              type: string
            - type: 'null'
          description: Redirect mode un use cuando crear o updating un redirect
          title: Redirect modo
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          description: HTTPS redirect URL, o null un clear
          title: Redirect URL
        workspace_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          title: Id del espacio de trabajo
      title: DomainUpdateRequest
      type: object
    DomainUpdateResponse:
      properties:
        auto_renew:
          title: Renovación automática
          type: boolean
        id:
          format: uuid4
          title: ID
          type: string
        redirect_mode:
          anyOf:
            - enum:
                - '301'
                - '302'
                - iframe
              type: string
            - type: 'null'
          title: Redirect modo
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Redirect URL
        workspace_id:
          format: uuid4
          title: Id del espacio de trabajo
          type: string
      required:
        - id
        - workspace_id
        - auto_renew
      title: DomainUpdateResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detalle
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Ubicación
          type: array
        msg:
          title: Mensaje
          type: string
        type:
          title: Tipo de error
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````